Bug 203329 - /etc/readahead.files include old file names
/etc/readahead.files include old file names
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
: Reopened
: 227289 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-08-21 04:47 EDT by masanari iida
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-16 08:48:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description masanari iida 2006-08-21 04:47:48 EDT
Description of problem:
Even though Firefox is updated to by yum,
/etc/readahead.files still points firefox

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC5
2. Update to latest RPMs (as of 21/Aug,2006)
3. Confirm the system has firefox
4. # grep firefox /etc/readahead.files 
Actual results:

The directory name is still older version.

Expected results:
/etc/readahead.files should contain latest directory name and file name.

Additional info:
How can we update the /etc/readahead.files up to date?
 Update list by some script?

 Each RPM provide filename list?
 (ex) /etc/readahead.d/readahead.firefox- 

Can we have an /etc/readahead.custom and /etc/readahead_early.custom
for user's custom readahead setting purpose?
Comment 1 Karel Zak 2006-09-05 09:03:36 EDT
You can create /etc/readahead.d/foo.early and foo.later in FC6. The list of
files should be also more up to date now.
Comment 2 Jef Spaleta 2006-11-12 17:53:25 EST
Sorry this isnt good enough....
As packages get updated in fc6 the readahead files are not being updated
accordingly.  Right now for example the firefox listings in fc6's readahead is
out of sync with the latest firefox update package libraries.   

What we need is a mechanism that we can update these listing on a per package
update basis.  You aren't going to be able to keep up with this unless
individual package maintainers have the ability to modify the readahead listings
for their own packages.  Off the top of my head I see two options.

1)move to a readahead.d directory structure and let individual packages drop
configs so each package maintainer can ensure syncage.

2)make a set of rpm scriptlet utilities to modify these files that can be called
by individual packages.

I'd dont want to see a continual respin of readhead packages just so that it can
gou out of sync again in a couple of days. That's unncessary update package
churn for nearly no benefit for end-users.  Let's generally readahead
configuration management enough so individual package updates can make use of
this functionality without re-configuration lag.

Comment 3 Jef Spaleta 2006-11-12 18:12:21 EST
sorry... i misunderstood.
we do have the .d/ structure.... we just need to get individual package
maintainers to start dropping files in there.  I guess i can close this again.
The problem is not at readhead... but at the next level... getting the
individual maintainers to drop files in to readahead.d/

Comment 4 Karel Zak 2007-03-01 16:51:33 EST
*** Bug 227289 has been marked as a duplicate of this bug. ***
Comment 5 Karel Zak 2007-03-01 16:53:10 EST
There is a way how keep the lists up to date:

Comment 6 Karel Zak 2007-10-16 08:48:31 EDT
Use "init=/sbin/readahead-collector", closing. The default lists will be updated
manually always at Final Development Freeze.

Note You need to log in before you can comment on or make changes to this bug.